
QGIS Application - Bug report #15446

Aerial imagery display error: libjpeg: Bogus Huffman table definition

2016-08-17 08:03 AM - Ian Holmes

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.16.1 Regression?: No

Operating System: Windows 64bit Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 23372

Description

I have have a national aerial imagery dataset but some of the tiles will not display in QGIS and give the following error message:

Unsupported Data Source: C:\\Data\\aerial_imagery\\sx\\sx6346.jpg is not a supported raster data source libjpeg: Bogus Huffman

table definition

The above image file can be downloaded from https://www.dropbox.com/s/lqqas8rvf5gkkft/sx6346.zip?dl=0

The same image file displays fine in ArcGIS, MapInfo and in a range of image applications including GIMP, MS Paint and Paint Shop

Pro.

I've tried to view this image in multiple versions of QGIS including 2.16.1 (the current latest version) and 2.14.5 (the current LTR) and

unfortunately the behaviour is the same in all versions of QGIS.

The error message displayed in QGIS suggests a problem with the source JPEG file, but given it works in every other package I've tried it

appears that QGIS is being more rigorous in the code it's using to display JPEG's than everything else.

Using GDAL to do a JPEG to JPEG conversion resolves the problem but given we can't easily identify the affected files we'd have to

process them all, which isn't practical given the number of files we have.

Related issues:

Duplicates QGIS Application - Bug report # 15447: Aerial imagery display issu... Closed 2016-08-17

Duplicates QGIS Application - Bug report # 15460: Aerial imagery display erro... Closed 2016-08-18

History

#1 - 2016-08-17 08:20 AM - Ian Holmes

Possibly related to Issues #15447 and #15460

Note, projection is British National Grid, EPSG 27700

#2 - 2016-08-23 07:19 AM - Ian Holmes

Bit more info on this problem: it looks like this is only a problem on Windows as the image loads fine using QGIS on a Mac and on Linux.

#3 - 2016-08-29 09:33 AM - Jürgen Fischer

- Operating System changed from Windows to Windows 64bit
https://www.dropbox.com/s/lqqas8rvf5gkkft/sx6346.zip?dl=0


Ian Holmes wrote:

Bit more info on this problem: it looks like this is only a problem on Windows as the image loads fine using QGIS on a Mac and on Linux.

and only on x86_64.

#4 - 2016-08-29 11:14 AM - Jürgen Fischer

- Resolution set to fixed/implemented

- Status changed from Open to Closed

Fixed in OSGeo4W libjpeg-6b-4 / libjpeg12-6b-4 (see also GDAL !#2845)
https://trac.osgeo.org/gdal/ticket/2845

